name: Release Build
on:
  push:
    tags:
      - v*

jobs:
  release:
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@v3
        with:
          repository: 'GiteaAdmin/hello_gitea'
          path: 'hello_gitea'
          token: ${{ secrets.GITEATOKEN }}
          git-server-url: 'https://direct-dev.ru/gitea'

      - name: Build
        run: |
          cd hello_gitea
          mkdir -p bin
          go build -o bin/hello-api-${{ github.ref_name }} main.go
          ls -la bin/

      - name: Create Release
        uses: softprops/action-gh-release@v1
        env:
          GITHUB_TOKEN: ${{ secrets.GITEATOKEN }}
          GITHUB_API_URL: 'https://direct-dev.ru/gitea/api/v1'
        with:
          tag_name: ${{ github.ref_name }}
          name: "Release ${{ github.ref_name }}"
          body: "Automated release"
          files: |
            hello_gitea/bin/hello-api-${{ github.ref_name }}